Bug 555869 - [4.7] wait4 blocks on non-existing pid [rhel-4.8.z]
Summary: [4.7] wait4 blocks on non-existing pid [rhel-4.8.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.7
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Vitaly Mayatskikh
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 539506 567321
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-15 19:32 UTC by Benjamin Kahn
Modified: 2011-01-30 22:56 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
If a process was using ptrace() to trace a multi-threaded process, and that multi-threaded process dumped its core, the process performing the trace could hang in wait4(). This issue could be triggered by running "strace -f" on a multi-threaded process that was dumping its core, resulting in the strace command hanging.
Clone Of:
Environment:
Last Closed: 2010-02-02 20:41:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0076 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2010-02-02 20:41:06 UTC

Description Benjamin Kahn 2010-01-15 19:32:03 UTC
This bug has been copied from bug #539506 and has been proposed
to be backported to 4.8 z-stream (EUS).

Comment 2 Vitaly Mayatskikh 2010-01-19 09:50:50 UTC
Committed in 89.0.20.EL

Comment 7 errata-xmlrpc 2010-02-02 20:41:27 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0076.html

Comment 8 Douglas Silas 2011-01-30 22:56:13 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
If a process was using ptrace() to trace a multi-threaded process, and that multi-threaded process dumped its core, the process performing the trace could hang in wait4(). This issue could be triggered by running "strace -f" on a multi-threaded process that was dumping its core, resulting in the strace command hanging.


Note You need to log in before you can comment on or make changes to this bug.